Package uk.ac.starlink.topcat

# Interface SubsetConsumer

public interface SubsetConsumer
Does something useful with a table row subset definition.

Since:
  11 Dec 2008
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`void`
`consumeSubset(TopcatModel tcModel, BitSet rowMask)`
Consumes a subset.

## Method Details

### consumeSubset

void consumeSubset(TopcatModel tcModel, BitSet rowMask)
Consumes a subset.

Parameters:
  `tcModel` - model to which the row mask applies
  `rowMask` - bit mask in which set bits represent rows in the subset